package com.sky.ioc.service.assets;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.tool.ReturnMsg;

/**
 * TODO
 * @Description  资产
 * @Author LunCe
 * @Date 2023/2/23 17:03
 **/
public interface AssetService {
    ReturnMsg getInvestmentDistribution();

    ReturnMsg getAssetLife();

    ReturnMsg getAssetCount();

    ReturnMsg getOperAssetCoreIndicators(IocParam iocParam);

    ReturnMsg getAssetAnalysis(IocParam iocParam);

    ReturnMsg getAssetShareRanking(IocParam iocParam);

    ReturnMsg getScrapAndMaintain(IocParam iocParam);

    ReturnMsg getAssetCoreIndicators();

    ReturnMsg getAssetAge(IocParam iocParam);

    ReturnMsg getAssetNumber();
}
